Code review comment for ~paelzer/ubuntu/+source/qemu:merge-5.2+dfsg-6-hirsute

Christian Ehrhardt  (paelzer) wrote :

Debian has
libgdk-pixbuf-2.0-0 | 2.42.2+dfsg-1 | testing | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
libgdk-pixbuf-2.0-0 | 2.42.2+dfsg-1 | unstable | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x

We have
 libgdk-pixbuf-2.0-0 | 2.42.2+dfsg-1 | hirsute | amd64, arm64, armhf, i386, ppc64el, riscv64, s390x
 libgdk-pixbuf-2.0-0 | 2.42.2+dfsg-1build1 | hirsute-proposed | arm64, armhf, i386, ppc64el

This is a indirect build dependency, not a change in qemu.
I see:
  Missing build dependencies: libgdk-pixbuf-2.0-0 (>= 2.40.0)

We have build-deps: libgtk-3-dev -> libgdk-pixbuf-2.0-dev (>= 2.40.0) -> libgdk-pixbuf-2.0-0 (= 2.42.2+dfsg-1)

It almost seems that this was just transitioning and therefore breaking builds.

That is resolved - it was indeed just transitioning at the time.

Another minor issue was that the fix for s390x 9p needed a bit of backporting. But that worked on a local build as well now.

Back ready for review.

« Back to merge proposal